void fenetreNote0_0 ( int argc, char *argv[] )
{
  GtkBuilder *monBuilderNote;
  GtkWidget *maFenetreNote;

  gtk_init( &argc, &argv );

  monBuilderNote = gtk_builder_new();

  gtk_builder_add_from_file( monBuilderNote, "GUI/ponytrackertest.glade", NULL);
  gtk_builder_connect_signals( monBuilderNote, NULL);

  maFenetreNote = GTK_WIDGET( gtk_builder_get_object( monBuilderNote, "ajoutnote"));

  GtkButton *button = (GtkButton*) gtk_builder_get_object(monBuilderNote, "buttonok");

  g_signal_connect(G_OBJECT(button),"clicked",G_CALLBACK(remplissageNote0_0),
		   GTK_WIDGET( gtk_builder_get_object( monBuilderNote, "ajoutnote")));

  gtk_widget_show_all (maFenetreNote);
}

void remplissageNote0_0 (GtkWidget *widget, gpointer *data){

  GtkBuilder *monBuilderNote;

  monBuilderNote = gtk_builder_new();

  gtk_builder_add_from_file( monBuilderNote, "GUI/ponytrackertest.glade", NULL);
  gtk_builder_connect_signals( monBuilderNote, NULL);

  GtkEntry *entryNote = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisirnote");
  GtkEntry *entryOctave = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisiroctave");
  GtkEntry *entryInstrument = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisirinstrument");
  GtkEntry *entryVolume = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"entryvolume");
  GtkEntry *entryEffet = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"entryeffet");

  if (strcmp(Do,gtk_entry_get_text(entryNote))==0) definirNote(m,0,0,1);
  else 
    if (strcmp(DoD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,0,2);
    else
      if (strcmp(Re,gtk_entry_get_text(entryNote))==0) definirNote(m,0,0,3);
      else
	if (strcmp(ReD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,0,4);
	else
	  if (strcmp(Mi,gtk_entry_get_text(entryNote))==0) definirNote(m,0,0,5);
	  else
	    if (strcmp(Fa,gtk_entry_get_text(entryNote))==0) definirNote(m,0,0,6);
	    else
	      if (strcmp(FaD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,0,7);
	      else
		if (strcmp(Sol,gtk_entry_get_text(entryNote))==0) definirNote(m,0,0,8);
		else
		  if (strcmp(SolD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,0,9);
		  else
		    if (strcmp(La,gtk_entry_get_text(entryNote))==0) definirNote(m,0,0,10);
		    else
		      if (strcmp(LaD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,0,11);
		      else
			if (strcmp(Si,gtk_entry_get_text(entryNote))==0) definirNote(m,0,0,12);
			else
			  if (strcmp(SiD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,0,13);

  if (strcmp(N1,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,0,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,0,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,0,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,0,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,0,5);

  if (strcmp(N1,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,0,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,0,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,0,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,0,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,0,5);

  if (strcmp(N1,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,0,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,0,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,0,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,0,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,0,5);

  if (strcmp(N1,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,0,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,0,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,0,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,0,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,0,5);
}

void fenetreNote0_1 ( int argc, char *argv[] )
{
  GtkBuilder *monBuilderNote;
  GtkWidget *maFenetreNote;

  gtk_init( &argc, &argv );

  monBuilderNote = gtk_builder_new();

  gtk_builder_add_from_file( monBuilderNote, "GUI/ponytrackertest.glade", NULL);
  gtk_builder_connect_signals( monBuilderNote, NULL);

  maFenetreNote = GTK_WIDGET( gtk_builder_get_object( monBuilderNote, "ajoutnote"));

  GtkButton *button = (GtkButton*) gtk_builder_get_object(monBuilderNote, "buttonok");

  g_signal_connect(G_OBJECT(button),"clicked",G_CALLBACK(remplissageNote0_1),
		   GTK_WIDGET( gtk_builder_get_object( monBuilderNote, "ajoutnote")));

  gtk_widget_show_all (maFenetreNote);
}

void remplissageNote0_1 (GtkWidget *widget, gpointer *data){

  GtkBuilder *monBuilderNote;

  monBuilderNote = gtk_builder_new();

  gtk_builder_add_from_file( monBuilderNote, "GUI/ponytrackertest.glade", NULL);
  gtk_builder_connect_signals( monBuilderNote, NULL);

  GtkEntry *entryNote = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisirnote");
  GtkEntry *entryOctave = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisiroctave");
  GtkEntry *entryInstrument = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisirinstrument");
  GtkEntry *entryVolume = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"entryvolume");
  GtkEntry *entryEffet = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"entryeffet");

  if (strcmp(Do,gtk_entry_get_text(entryNote))==0) definirNote(m,0,1,1);
  else 
    if (strcmp(DoD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,1,2);
    else
      if (strcmp(Re,gtk_entry_get_text(entryNote))==0) definirNote(m,0,1,3);
      else
	if (strcmp(ReD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,1,4);
	else
	  if (strcmp(Mi,gtk_entry_get_text(entryNote))==0) definirNote(m,0,1,5);
	  else
	    if (strcmp(Fa,gtk_entry_get_text(entryNote))==0) definirNote(m,0,1,6);
	    else
	      if (strcmp(FaD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,1,7);
	      else
		if (strcmp(Sol,gtk_entry_get_text(entryNote))==0) definirNote(m,0,1,8);
		else
		  if (strcmp(SolD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,1,9);
		  else
		    if (strcmp(La,gtk_entry_get_text(entryNote))==0) definirNote(m,0,1,10);
		    else
		      if (strcmp(LaD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,1,11);
		      else
			if (strcmp(Si,gtk_entry_get_text(entryNote))==0) definirNote(m,0,1,12);
			else
			  if (strcmp(SiD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,1,13);

  if (strcmp(N1,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,1,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,1,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,1,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,1,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,1,5);

  if (strcmp(N1,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,1,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,1,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,1,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,1,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,1,5);

  if (strcmp(N1,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,1,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,1,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,1,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,1,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,1,5);

  if (strcmp(N1,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,1,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,1,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,1,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,1,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,1,5);
}

void fenetreNote0_2 ( int argc, char *argv[] )
{
  GtkBuilder *monBuilderNote;
  GtkWidget *maFenetreNote;

  gtk_init( &argc, &argv );

  monBuilderNote = gtk_builder_new();

  gtk_builder_add_from_file( monBuilderNote, "GUI/ponytrackertest.glade", NULL);
  gtk_builder_connect_signals( monBuilderNote, NULL);

  maFenetreNote = GTK_WIDGET( gtk_builder_get_object( monBuilderNote, "ajoutnote"));

  GtkButton *button = (GtkButton*) gtk_builder_get_object(monBuilderNote, "buttonok");

  g_signal_connect(G_OBJECT(button),"clicked",G_CALLBACK(remplissageNote0_2),
		   GTK_WIDGET( gtk_builder_get_object( monBuilderNote, "ajoutnote")));

  gtk_widget_show_all (maFenetreNote);
}

void remplissageNote0_2 (GtkWidget *widget, gpointer *data){

  GtkBuilder *monBuilderNote;

  monBuilderNote = gtk_builder_new();

  gtk_builder_add_from_file( monBuilderNote, "GUI/ponytrackertest.glade", NULL);
  gtk_builder_connect_signals( monBuilderNote, NULL);

  GtkEntry *entryNote = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisirnote");
  GtkEntry *entryOctave = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisiroctave");
  GtkEntry *entryInstrument = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisirinstrument");
  GtkEntry *entryVolume = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"entryvolume");
  GtkEntry *entryEffet = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"entryeffet");

  if (strcmp(Do,gtk_entry_get_text(entryNote))==0) definirNote(m,0,2,1);
  else 
    if (strcmp(DoD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,2,2);
    else
      if (strcmp(Re,gtk_entry_get_text(entryNote))==0) definirNote(m,0,2,3);
      else
	if (strcmp(ReD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,2,4);
	else
	  if (strcmp(Mi,gtk_entry_get_text(entryNote))==0) definirNote(m,0,2,5);
	  else
	    if (strcmp(Fa,gtk_entry_get_text(entryNote))==0) definirNote(m,0,2,6);
	    else
	      if (strcmp(FaD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,2,7);
	      else
		if (strcmp(Sol,gtk_entry_get_text(entryNote))==0) definirNote(m,0,2,8);
		else
		  if (strcmp(SolD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,2,9);
		  else
		    if (strcmp(La,gtk_entry_get_text(entryNote))==0) definirNote(m,0,2,10);
		    else
		      if (strcmp(LaD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,2,11);
		      else
			if (strcmp(Si,gtk_entry_get_text(entryNote))==0) definirNote(m,0,2,12);
			else
			  if (strcmp(SiD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,2,13);

  if (strcmp(N1,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,2,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,2,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,2,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,2,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,2,5);

  if (strcmp(N1,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,2,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,2,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,2,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,2,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,2,5);

  if (strcmp(N1,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,2,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,2,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,2,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,2,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,2,5);

  if (strcmp(N1,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,2,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,2,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,2,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,2,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,2,5);
}

void fenetreNote0_3 ( int argc, char *argv[] )
{
  GtkBuilder *monBuilderNote;
  GtkWidget *maFenetreNote;

  gtk_init( &argc, &argv );

  monBuilderNote = gtk_builder_new();

  gtk_builder_add_from_file( monBuilderNote, "GUI/ponytrackertest.glade", NULL);
  gtk_builder_connect_signals( monBuilderNote, NULL);

  maFenetreNote = GTK_WIDGET( gtk_builder_get_object( monBuilderNote, "ajoutnote"));

  GtkButton *button = (GtkButton*) gtk_builder_get_object(monBuilderNote, "buttonok");

  g_signal_connect(G_OBJECT(button),"clicked",G_CALLBACK(remplissageNote0_3),
		   GTK_WIDGET( gtk_builder_get_object( monBuilderNote, "ajoutnote")));

  gtk_widget_show_all (maFenetreNote);
}

void remplissageNote0_3 (GtkWidget *widget, gpointer *data){

  GtkBuilder *monBuilderNote;

  monBuilderNote = gtk_builder_new();

  gtk_builder_add_from_file( monBuilderNote, "GUI/ponytrackertest.glade", NULL);
  gtk_builder_connect_signals( monBuilderNote, NULL);

  GtkEntry *entryNote = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisirnote");
  GtkEntry *entryOctave = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisiroctave");
  GtkEntry *entryInstrument = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisirinstrument");
  GtkEntry *entryVolume = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"entryvolume");
  GtkEntry *entryEffet = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"entryeffet");

  if (strcmp(Do,gtk_entry_get_text(entryNote))==0) definirNote(m,0,3,1);
  else 
    if (strcmp(DoD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,3,2);
    else
      if (strcmp(Re,gtk_entry_get_text(entryNote))==0) definirNote(m,0,3,3);
      else
	if (strcmp(ReD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,3,4);
	else
	  if (strcmp(Mi,gtk_entry_get_text(entryNote))==0) definirNote(m,0,3,5);
	  else
	    if (strcmp(Fa,gtk_entry_get_text(entryNote))==0) definirNote(m,0,3,6);
	    else
	      if (strcmp(FaD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,3,7);
	      else
		if (strcmp(Sol,gtk_entry_get_text(entryNote))==0) definirNote(m,0,3,8);
		else
		  if (strcmp(SolD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,3,9);
		  else
		    if (strcmp(La,gtk_entry_get_text(entryNote))==0) definirNote(m,0,3,10);
		    else
		      if (strcmp(LaD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,3,11);
		      else
			if (strcmp(Si,gtk_entry_get_text(entryNote))==0) definirNote(m,0,3,12);
			else
			  if (strcmp(SiD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,3,13);

  if (strcmp(N1,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,3,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,3,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,3,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,3,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,3,5);

  if (strcmp(N1,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,3,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,3,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,3,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,3,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,3,5);

  if (strcmp(N1,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,3,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,3,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,3,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,3,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,3,5);

  if (strcmp(N1,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,3,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,3,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,3,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,3,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,3,5);
}

void fenetreNote0_4 ( int argc, char *argv[] )
{
  GtkBuilder *monBuilderNote;
  GtkWidget *maFenetreNote;

  gtk_init( &argc, &argv );

  monBuilderNote = gtk_builder_new();

  gtk_builder_add_from_file( monBuilderNote, "GUI/ponytrackertest.glade", NULL);
  gtk_builder_connect_signals( monBuilderNote, NULL);

  maFenetreNote = GTK_WIDGET( gtk_builder_get_object( monBuilderNote, "ajoutnote"));

  GtkButton *button = (GtkButton*) gtk_builder_get_object(monBuilderNote, "buttonok");

  g_signal_connect(G_OBJECT(button),"clicked",G_CALLBACK(remplissageNote0_4),
		   GTK_WIDGET( gtk_builder_get_object( monBuilderNote, "ajoutnote")));

  gtk_widget_show_all (maFenetreNote);
}

void remplissageNote0_4 (GtkWidget *widget, gpointer *data){

  GtkBuilder *monBuilderNote;

  monBuilderNote = gtk_builder_new();

  gtk_builder_add_from_file( monBuilderNote, "GUI/ponytrackertest.glade", NULL);
  gtk_builder_connect_signals( monBuilderNote, NULL);

  GtkEntry *entryNote = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisirnote");
  GtkEntry *entryOctave = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisiroctave");
  GtkEntry *entryInstrument = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisirinstrument");
  GtkEntry *entryVolume = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"entryvolume");
  GtkEntry *entryEffet = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"entryeffet");

  if (strcmp(Do,gtk_entry_get_text(entryNote))==0) definirNote(m,0,4,1);
  else 
    if (strcmp(DoD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,4,2);
    else
      if (strcmp(Re,gtk_entry_get_text(entryNote))==0) definirNote(m,0,4,3);
      else
	if (strcmp(ReD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,4,4);
	else
	  if (strcmp(Mi,gtk_entry_get_text(entryNote))==0) definirNote(m,0,4,5);
	  else
	    if (strcmp(Fa,gtk_entry_get_text(entryNote))==0) definirNote(m,0,4,6);
	    else
	      if (strcmp(FaD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,4,7);
	      else
		if (strcmp(Sol,gtk_entry_get_text(entryNote))==0) definirNote(m,0,4,8);
		else
		  if (strcmp(SolD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,4,9);
		  else
		    if (strcmp(La,gtk_entry_get_text(entryNote))==0) definirNote(m,0,4,10);
		    else
		      if (strcmp(LaD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,4,11);
		      else
			if (strcmp(Si,gtk_entry_get_text(entryNote))==0) definirNote(m,0,4,12);
			else
			  if (strcmp(SiD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,4,13);

  if (strcmp(N1,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,4,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,4,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,4,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,4,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,4,5);

  if (strcmp(N1,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,4,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,4,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,4,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,4,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,4,5);

  if (strcmp(N1,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,4,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,4,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,4,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,4,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,4,5);

  if (strcmp(N1,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,4,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,4,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,4,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,4,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,4,5);
}

void fenetreNote0_5 ( int argc, char *argv[] )
{
  GtkBuilder *monBuilderNote;
  GtkWidget *maFenetreNote;

  gtk_init( &argc, &argv );

  monBuilderNote = gtk_builder_new();

  gtk_builder_add_from_file( monBuilderNote, "GUI/ponytrackertest.glade", NULL);
  gtk_builder_connect_signals( monBuilderNote, NULL);

  maFenetreNote = GTK_WIDGET( gtk_builder_get_object( monBuilderNote, "ajoutnote"));

  GtkButton *button = (GtkButton*) gtk_builder_get_object(monBuilderNote, "buttonok");

  g_signal_connect(G_OBJECT(button),"clicked",G_CALLBACK(remplissageNote0_5),
		   GTK_WIDGET( gtk_builder_get_object( monBuilderNote, "ajoutnote")));

  gtk_widget_show_all (maFenetreNote);
}

void remplissageNote0_5 (GtkWidget *widget, gpointer *data){

  GtkBuilder *monBuilderNote;

  monBuilderNote = gtk_builder_new();

  gtk_builder_add_from_file( monBuilderNote, "GUI/ponytrackertest.glade", NULL);
  gtk_builder_connect_signals( monBuilderNote, NULL);

  GtkEntry *entryNote = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisirnote");
  GtkEntry *entryOctave = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisiroctave");
  GtkEntry *entryInstrument = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisirinstrument");
  GtkEntry *entryVolume = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"entryvolume");
  GtkEntry *entryEffet = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"entryeffet");

  if (strcmp(Do,gtk_entry_get_text(entryNote))==0) definirNote(m,0,5,1);
  else 
    if (strcmp(DoD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,5,2);
    else
      if (strcmp(Re,gtk_entry_get_text(entryNote))==0) definirNote(m,0,5,3);
      else
	if (strcmp(ReD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,5,4);
	else
	  if (strcmp(Mi,gtk_entry_get_text(entryNote))==0) definirNote(m,0,5,5);
	  else
	    if (strcmp(Fa,gtk_entry_get_text(entryNote))==0) definirNote(m,0,5,6);
	    else
	      if (strcmp(FaD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,5,7);
	      else
		if (strcmp(Sol,gtk_entry_get_text(entryNote))==0) definirNote(m,0,5,8);
		else
		  if (strcmp(SolD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,5,9);
		  else
		    if (strcmp(La,gtk_entry_get_text(entryNote))==0) definirNote(m,0,5,10);
		    else
		      if (strcmp(LaD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,5,11);
		      else
			if (strcmp(Si,gtk_entry_get_text(entryNote))==0) definirNote(m,0,5,12);
			else
			  if (strcmp(SiD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,5,13);

  if (strcmp(N1,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,5,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,5,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,5,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,5,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,5,5);

  if (strcmp(N1,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,5,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,5,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,5,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,5,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,5,5);

  if (strcmp(N1,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,5,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,5,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,5,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,5,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,5,5);

  if (strcmp(N1,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,5,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,5,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,5,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,5,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,5,5);
}

void fenetreNote0_6 ( int argc, char *argv[] )
{
  GtkBuilder *monBuilderNote;
  GtkWidget *maFenetreNote;

  gtk_init( &argc, &argv );

  monBuilderNote = gtk_builder_new();

  gtk_builder_add_from_file( monBuilderNote, "GUI/ponytrackertest.glade", NULL);
  gtk_builder_connect_signals( monBuilderNote, NULL);

  maFenetreNote = GTK_WIDGET( gtk_builder_get_object( monBuilderNote, "ajoutnote"));

  GtkButton *button = (GtkButton*) gtk_builder_get_object(monBuilderNote, "buttonok");

  g_signal_connect(G_OBJECT(button),"clicked",G_CALLBACK(remplissageNote0_6),
		   GTK_WIDGET( gtk_builder_get_object( monBuilderNote, "ajoutnote")));

  gtk_widget_show_all (maFenetreNote);
}

void remplissageNote0_6 (GtkWidget *widget, gpointer *data){

  GtkBuilder *monBuilderNote;

  monBuilderNote = gtk_builder_new();

  gtk_builder_add_from_file( monBuilderNote, "GUI/ponytrackertest.glade", NULL);
  gtk_builder_connect_signals( monBuilderNote, NULL);

  GtkEntry *entryNote = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisirnote");
  GtkEntry *entryOctave = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisiroctave");
  GtkEntry *entryInstrument = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisirinstrument");
  GtkEntry *entryVolume = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"entryvolume");
  GtkEntry *entryEffet = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"entryeffet");

  if (strcmp(Do,gtk_entry_get_text(entryNote))==0) definirNote(m,0,6,1);
  else 
    if (strcmp(DoD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,6,2);
    else
      if (strcmp(Re,gtk_entry_get_text(entryNote))==0) definirNote(m,0,6,3);
      else
	if (strcmp(ReD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,6,4);
	else
	  if (strcmp(Mi,gtk_entry_get_text(entryNote))==0) definirNote(m,0,6,5);
	  else
	    if (strcmp(Fa,gtk_entry_get_text(entryNote))==0) definirNote(m,0,6,6);
	    else
	      if (strcmp(FaD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,6,7);
	      else
		if (strcmp(Sol,gtk_entry_get_text(entryNote))==0) definirNote(m,0,6,8);
		else
		  if (strcmp(SolD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,6,9);
		  else
		    if (strcmp(La,gtk_entry_get_text(entryNote))==0) definirNote(m,0,6,10);
		    else
		      if (strcmp(LaD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,6,11);
		      else
			if (strcmp(Si,gtk_entry_get_text(entryNote))==0) definirNote(m,0,6,12);
			else
			  if (strcmp(SiD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,6,13);

  if (strcmp(N1,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,6,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,6,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,6,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,6,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,6,5);

  if (strcmp(N1,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,6,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,6,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,6,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,6,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,6,5);

  if (strcmp(N1,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,6,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,6,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,6,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,6,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,6,5);

  if (strcmp(N1,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,6,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,6,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,6,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,6,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,6,5);
}

void fenetreNote0_7 ( int argc, char *argv[] )
{
  GtkBuilder *monBuilderNote;
  GtkWidget *maFenetreNote;

  gtk_init( &argc, &argv );

  monBuilderNote = gtk_builder_new();

  gtk_builder_add_from_file( monBuilderNote, "GUI/ponytrackertest.glade", NULL);
  gtk_builder_connect_signals( monBuilderNote, NULL);

  maFenetreNote = GTK_WIDGET( gtk_builder_get_object( monBuilderNote, "ajoutnote"));

  GtkButton *button = (GtkButton*) gtk_builder_get_object(monBuilderNote, "buttonok");

  g_signal_connect(G_OBJECT(button),"clicked",G_CALLBACK(remplissageNote0_7),
		   GTK_WIDGET( gtk_builder_get_object( monBuilderNote, "ajoutnote")));

  gtk_widget_show_all (maFenetreNote);
}

void remplissageNote0_7 (GtkWidget *widget, gpointer *data){

  GtkBuilder *monBuilderNote;

  monBuilderNote = gtk_builder_new();

  gtk_builder_add_from_file( monBuilderNote, "GUI/ponytrackertest.glade", NULL);
  gtk_builder_connect_signals( monBuilderNote, NULL);

  GtkEntry *entryNote = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisirnote");
  GtkEntry *entryOctave = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisiroctave");
  GtkEntry *entryInstrument = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisirinstrument");
  GtkEntry *entryVolume = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"entryvolume");
  GtkEntry *entryEffet = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"entryeffet");

  if (strcmp(Do,gtk_entry_get_text(entryNote))==0) definirNote(m,0,7,1);
  else 
    if (strcmp(DoD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,7,2);
    else
      if (strcmp(Re,gtk_entry_get_text(entryNote))==0) definirNote(m,0,7,3);
      else
	if (strcmp(ReD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,7,4);
	else
	  if (strcmp(Mi,gtk_entry_get_text(entryNote))==0) definirNote(m,0,7,5);
	  else
	    if (strcmp(Fa,gtk_entry_get_text(entryNote))==0) definirNote(m,0,7,6);
	    else
	      if (strcmp(FaD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,7,7);
	      else
		if (strcmp(Sol,gtk_entry_get_text(entryNote))==0) definirNote(m,0,7,8);
		else
		  if (strcmp(SolD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,7,9);
		  else
		    if (strcmp(La,gtk_entry_get_text(entryNote))==0) definirNote(m,0,7,10);
		    else
		      if (strcmp(LaD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,7,11);
		      else
			if (strcmp(Si,gtk_entry_get_text(entryNote))==0) definirNote(m,0,7,12);
			else
			  if (strcmp(SiD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,7,13);

  if (strcmp(N1,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,7,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,7,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,7,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,7,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,7,5);

  if (strcmp(N1,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,7,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,7,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,7,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,7,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,7,5);

  if (strcmp(N1,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,7,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,7,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,7,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,7,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,7,5);

  if (strcmp(N1,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,7,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,7,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,7,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,7,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,7,5);
}

void fenetreNote0_8 ( int argc, char *argv[] )
{
  GtkBuilder *monBuilderNote;
  GtkWidget *maFenetreNote;

  gtk_init( &argc, &argv );

  monBuilderNote = gtk_builder_new();

  gtk_builder_add_from_file( monBuilderNote, "GUI/ponytrackertest.glade", NULL);
  gtk_builder_connect_signals( monBuilderNote, NULL);

  maFenetreNote = GTK_WIDGET( gtk_builder_get_object( monBuilderNote, "ajoutnote"));

  GtkButton *button = (GtkButton*) gtk_builder_get_object(monBuilderNote, "buttonok");

  g_signal_connect(G_OBJECT(button),"clicked",G_CALLBACK(remplissageNote0_8),
		   GTK_WIDGET( gtk_builder_get_object( monBuilderNote, "ajoutnote")));

  gtk_widget_show_all (maFenetreNote);
}

void remplissageNote0_8 (GtkWidget *widget, gpointer *data){

  GtkBuilder *monBuilderNote;

  monBuilderNote = gtk_builder_new();

  gtk_builder_add_from_file( monBuilderNote, "GUI/ponytrackertest.glade", NULL);
  gtk_builder_connect_signals( monBuilderNote, NULL);

  GtkEntry *entryNote = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisirnote");
  GtkEntry *entryOctave = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisiroctave");
  GtkEntry *entryInstrument = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisirinstrument");
  GtkEntry *entryVolume = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"entryvolume");
  GtkEntry *entryEffet = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"entryeffet");

  if (strcmp(Do,gtk_entry_get_text(entryNote))==0) definirNote(m,0,8,1);
  else 
    if (strcmp(DoD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,8,2);
    else
      if (strcmp(Re,gtk_entry_get_text(entryNote))==0) definirNote(m,0,8,3);
      else
	if (strcmp(ReD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,8,4);
	else
	  if (strcmp(Mi,gtk_entry_get_text(entryNote))==0) definirNote(m,0,8,5);
	  else
	    if (strcmp(Fa,gtk_entry_get_text(entryNote))==0) definirNote(m,0,8,6);
	    else
	      if (strcmp(FaD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,8,7);
	      else
		if (strcmp(Sol,gtk_entry_get_text(entryNote))==0) definirNote(m,0,8,8);
		else
		  if (strcmp(SolD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,8,9);
		  else
		    if (strcmp(La,gtk_entry_get_text(entryNote))==0) definirNote(m,0,8,10);
		    else
		      if (strcmp(LaD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,8,11);
		      else
			if (strcmp(Si,gtk_entry_get_text(entryNote))==0) definirNote(m,0,8,12);
			else
			  if (strcmp(SiD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,8,13);

  if (strcmp(N1,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,8,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,8,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,8,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,8,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,8,5);

  if (strcmp(N1,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,8,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,8,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,8,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,8,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,8,5);

  if (strcmp(N1,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,8,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,8,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,8,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,8,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,8,5);

  if (strcmp(N1,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,8,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,8,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,8,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,8,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,8,5);
}

void fenetreNote0_9 ( int argc, char *argv[] )
{
  GtkBuilder *monBuilderNote;
  GtkWidget *maFenetreNote;

  gtk_init( &argc, &argv );

  monBuilderNote = gtk_builder_new();

  gtk_builder_add_from_file( monBuilderNote, "GUI/ponytrackertest.glade", NULL);
  gtk_builder_connect_signals( monBuilderNote, NULL);

  maFenetreNote = GTK_WIDGET( gtk_builder_get_object( monBuilderNote, "ajoutnote"));

  GtkButton *button = (GtkButton*) gtk_builder_get_object(monBuilderNote, "buttonok");

  g_signal_connect(G_OBJECT(button),"clicked",G_CALLBACK(remplissageNote0_9),
		   GTK_WIDGET( gtk_builder_get_object( monBuilderNote, "ajoutnote")));

  gtk_widget_show_all (maFenetreNote);
}

void remplissageNote0_9 (GtkWidget *widget, gpointer *data){

  GtkBuilder *monBuilderNote;

  monBuilderNote = gtk_builder_new();

  gtk_builder_add_from_file( monBuilderNote, "GUI/ponytrackertest.glade", NULL);
  gtk_builder_connect_signals( monBuilderNote, NULL);

  GtkEntry *entryNote = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisirnote");
  GtkEntry *entryOctave = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisiroctave");
  GtkEntry *entryInstrument = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisirinstrument");
  GtkEntry *entryVolume = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"entryvolume");
  GtkEntry *entryEffet = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"entryeffet");

  if (strcmp(Do,gtk_entry_get_text(entryNote))==0) definirNote(m,0,9,1);
  else 
    if (strcmp(DoD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,9,2);
    else
      if (strcmp(Re,gtk_entry_get_text(entryNote))==0) definirNote(m,0,9,3);
      else
	if (strcmp(ReD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,9,4);
	else
	  if (strcmp(Mi,gtk_entry_get_text(entryNote))==0) definirNote(m,0,9,5);
	  else
	    if (strcmp(Fa,gtk_entry_get_text(entryNote))==0) definirNote(m,0,9,6);
	    else
	      if (strcmp(FaD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,9,7);
	      else
		if (strcmp(Sol,gtk_entry_get_text(entryNote))==0) definirNote(m,0,9,8);
		else
		  if (strcmp(SolD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,9,9);
		  else
		    if (strcmp(La,gtk_entry_get_text(entryNote))==0) definirNote(m,0,9,10);
		    else
		      if (strcmp(LaD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,9,11);
		      else
			if (strcmp(Si,gtk_entry_get_text(entryNote))==0) definirNote(m,0,9,12);
			else
			  if (strcmp(SiD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,9,13);

  if (strcmp(N1,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,9,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,9,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,9,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,9,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,9,5);

  if (strcmp(N1,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,9,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,9,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,9,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,9,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,9,5);

  if (strcmp(N1,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,9,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,9,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,9,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,9,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,9,5);

  if (strcmp(N1,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,9,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,9,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,9,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,9,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,9,5);
}

void fenetreNote0_10 ( int argc, char *argv[] )
{
  GtkBuilder *monBuilderNote;
  GtkWidget *maFenetreNote;

  gtk_init( &argc, &argv );

  monBuilderNote = gtk_builder_new();

  gtk_builder_add_from_file( monBuilderNote, "GUI/ponytrackertest.glade", NULL);
  gtk_builder_connect_signals( monBuilderNote, NULL);

  maFenetreNote = GTK_WIDGET( gtk_builder_get_object( monBuilderNote, "ajoutnote"));

  GtkButton *button = (GtkButton*) gtk_builder_get_object(monBuilderNote, "buttonok");

  g_signal_connect(G_OBJECT(button),"clicked",G_CALLBACK(remplissageNote0_10),
		   GTK_WIDGET( gtk_builder_get_object( monBuilderNote, "ajoutnote")));

  gtk_widget_show_all (maFenetreNote);
}

void remplissageNote0_10 (GtkWidget *widget, gpointer *data){

  GtkBuilder *monBuilderNote;

  monBuilderNote = gtk_builder_new();

  gtk_builder_add_from_file( monBuilderNote, "GUI/ponytrackertest.glade", NULL);
  gtk_builder_connect_signals( monBuilderNote, NULL);

  GtkEntry *entryNote = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisirnote");
  GtkEntry *entryOctave = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisiroctave");
  GtkEntry *entryInstrument = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisirinstrument");
  GtkEntry *entryVolume = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"entryvolume");
  GtkEntry *entryEffet = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"entryeffet");

  if (strcmp(Do,gtk_entry_get_text(entryNote))==0) definirNote(m,0,10,1);
  else 
    if (strcmp(DoD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,10,2);
    else
      if (strcmp(Re,gtk_entry_get_text(entryNote))==0) definirNote(m,0,10,3);
      else
	if (strcmp(ReD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,10,4);
	else
	  if (strcmp(Mi,gtk_entry_get_text(entryNote))==0) definirNote(m,0,10,5);
	  else
	    if (strcmp(Fa,gtk_entry_get_text(entryNote))==0) definirNote(m,0,10,6);
	    else
	      if (strcmp(FaD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,10,7);
	      else
		if (strcmp(Sol,gtk_entry_get_text(entryNote))==0) definirNote(m,0,10,8);
		else
		  if (strcmp(SolD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,10,9);
		  else
		    if (strcmp(La,gtk_entry_get_text(entryNote))==0) definirNote(m,0,10,10);
		    else
		      if (strcmp(LaD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,10,11);
		      else
			if (strcmp(Si,gtk_entry_get_text(entryNote))==0) definirNote(m,0,10,12);
			else
			  if (strcmp(SiD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,10,13);

  if (strcmp(N1,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,10,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,10,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,10,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,10,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,10,5);

  if (strcmp(N1,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,10,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,10,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,10,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,10,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,10,5);

  if (strcmp(N1,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,10,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,10,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,10,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,10,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,10,5);

  if (strcmp(N1,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,10,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,10,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,10,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,10,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,10,5);
}

void fenetreNote0_11 ( int argc, char *argv[] )
{
  GtkBuilder *monBuilderNote;
  GtkWidget *maFenetreNote;

  gtk_init( &argc, &argv );

  monBuilderNote = gtk_builder_new();

  gtk_builder_add_from_file( monBuilderNote, "GUI/ponytrackertest.glade", NULL);
  gtk_builder_connect_signals( monBuilderNote, NULL);

  maFenetreNote = GTK_WIDGET( gtk_builder_get_object( monBuilderNote, "ajoutnote"));

  GtkButton *button = (GtkButton*) gtk_builder_get_object(monBuilderNote, "buttonok");

  g_signal_connect(G_OBJECT(button),"clicked",G_CALLBACK(remplissageNote0_11),
		   GTK_WIDGET( gtk_builder_get_object( monBuilderNote, "ajoutnote")));

  gtk_widget_show_all (maFenetreNote);
}

void remplissageNote0_11 (GtkWidget *widget, gpointer *data){

  GtkBuilder *monBuilderNote;

  monBuilderNote = gtk_builder_new();

  gtk_builder_add_from_file( monBuilderNote, "GUI/ponytrackertest.glade", NULL);
  gtk_builder_connect_signals( monBuilderNote, NULL);

  GtkEntry *entryNote = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisirnote");
  GtkEntry *entryOctave = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisiroctave");
  GtkEntry *entryInstrument = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisirinstrument");
  GtkEntry *entryVolume = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"entryvolume");
  GtkEntry *entryEffet = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"entryeffet");

  if (strcmp(Do,gtk_entry_get_text(entryNote))==0) definirNote(m,0,11,1);
  else 
    if (strcmp(DoD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,11,2);
    else
      if (strcmp(Re,gtk_entry_get_text(entryNote))==0) definirNote(m,0,11,3);
      else
	if (strcmp(ReD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,11,4);
	else
	  if (strcmp(Mi,gtk_entry_get_text(entryNote))==0) definirNote(m,0,11,5);
	  else
	    if (strcmp(Fa,gtk_entry_get_text(entryNote))==0) definirNote(m,0,11,6);
	    else
	      if (strcmp(FaD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,11,7);
	      else
		if (strcmp(Sol,gtk_entry_get_text(entryNote))==0) definirNote(m,0,11,8);
		else
		  if (strcmp(SolD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,11,9);
		  else
		    if (strcmp(La,gtk_entry_get_text(entryNote))==0) definirNote(m,0,11,10);
		    else
		      if (strcmp(LaD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,11,11);
		      else
			if (strcmp(Si,gtk_entry_get_text(entryNote))==0) definirNote(m,0,11,12);
			else
			  if (strcmp(SiD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,11,13);

  if (strcmp(N1,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,11,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,11,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,11,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,11,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,11,5);

  if (strcmp(N1,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,11,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,11,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,11,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,11,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,11,5);

  if (strcmp(N1,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,11,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,11,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,11,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,11,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,11,5);

  if (strcmp(N1,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,11,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,11,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,11,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,11,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,11,5);
}

void fenetreNote0_12 ( int argc, char *argv[] )
{
  GtkBuilder *monBuilderNote;
  GtkWidget *maFenetreNote;

  gtk_init( &argc, &argv );

  monBuilderNote = gtk_builder_new();

  gtk_builder_add_from_file( monBuilderNote, "GUI/ponytrackertest.glade", NULL);
  gtk_builder_connect_signals( monBuilderNote, NULL);

  maFenetreNote = GTK_WIDGET( gtk_builder_get_object( monBuilderNote, "ajoutnote"));

  GtkButton *button = (GtkButton*) gtk_builder_get_object(monBuilderNote, "buttonok");

  g_signal_connect(G_OBJECT(button),"clicked",G_CALLBACK(remplissageNote0_12),
		   GTK_WIDGET( gtk_builder_get_object( monBuilderNote, "ajoutnote")));

  gtk_widget_show_all (maFenetreNote);
}

void remplissageNote0_12 (GtkWidget *widget, gpointer *data){

  GtkBuilder *monBuilderNote;

  monBuilderNote = gtk_builder_new();

  gtk_builder_add_from_file( monBuilderNote, "GUI/ponytrackertest.glade", NULL);
  gtk_builder_connect_signals( monBuilderNote, NULL);

  GtkEntry *entryNote = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisirnote");
  GtkEntry *entryOctave = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisiroctave");
  GtkEntry *entryInstrument = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisirinstrument");
  GtkEntry *entryVolume = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"entryvolume");
  GtkEntry *entryEffet = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"entryeffet");

  if (strcmp(Do,gtk_entry_get_text(entryNote))==0) definirNote(m,0,12,1);
  else 
    if (strcmp(DoD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,12,2);
    else
      if (strcmp(Re,gtk_entry_get_text(entryNote))==0) definirNote(m,0,12,3);
      else
	if (strcmp(ReD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,12,4);
	else
	  if (strcmp(Mi,gtk_entry_get_text(entryNote))==0) definirNote(m,0,12,5);
	  else
	    if (strcmp(Fa,gtk_entry_get_text(entryNote))==0) definirNote(m,0,12,6);
	    else
	      if (strcmp(FaD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,12,7);
	      else
		if (strcmp(Sol,gtk_entry_get_text(entryNote))==0) definirNote(m,0,12,8);
		else
		  if (strcmp(SolD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,12,9);
		  else
		    if (strcmp(La,gtk_entry_get_text(entryNote))==0) definirNote(m,0,12,10);
		    else
		      if (strcmp(LaD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,12,11);
		      else
			if (strcmp(Si,gtk_entry_get_text(entryNote))==0) definirNote(m,0,12,12);
			else
			  if (strcmp(SiD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,12,13);

  if (strcmp(N1,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,12,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,12,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,12,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,12,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,12,5);

  if (strcmp(N1,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,12,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,12,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,12,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,12,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,12,5);

  if (strcmp(N1,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,12,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,12,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,12,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,12,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,12,5);

  if (strcmp(N1,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,12,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,12,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,12,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,12,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,12,5);
}

void fenetreNote0_13 ( int argc, char *argv[] )
{
  GtkBuilder *monBuilderNote;
  GtkWidget *maFenetreNote;

  gtk_init( &argc, &argv );

  monBuilderNote = gtk_builder_new();

  gtk_builder_add_from_file( monBuilderNote, "GUI/ponytrackertest.glade", NULL);
  gtk_builder_connect_signals( monBuilderNote, NULL);

  maFenetreNote = GTK_WIDGET( gtk_builder_get_object( monBuilderNote, "ajoutnote"));

  GtkButton *button = (GtkButton*) gtk_builder_get_object(monBuilderNote, "buttonok");

  g_signal_connect(G_OBJECT(button),"clicked",G_CALLBACK(remplissageNote0_13),
		   GTK_WIDGET( gtk_builder_get_object( monBuilderNote, "ajoutnote")));

  gtk_widget_show_all (maFenetreNote);
}

void remplissageNote0_13 (GtkWidget *widget, gpointer *data){

  GtkBuilder *monBuilderNote;

  monBuilderNote = gtk_builder_new();

  gtk_builder_add_from_file( monBuilderNote, "GUI/ponytrackertest.glade", NULL);
  gtk_builder_connect_signals( monBuilderNote, NULL);

  GtkEntry *entryNote = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisirnote");
  GtkEntry *entryOctave = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisiroctave");
  GtkEntry *entryInstrument = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisirinstrument");
  GtkEntry *entryVolume = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"entryvolume");
  GtkEntry *entryEffet = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"entryeffet");

  if (strcmp(Do,gtk_entry_get_text(entryNote))==0) definirNote(m,0,13,1);
  else 
    if (strcmp(DoD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,13,2);
    else
      if (strcmp(Re,gtk_entry_get_text(entryNote))==0) definirNote(m,0,13,3);
      else
	if (strcmp(ReD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,13,4);
	else
	  if (strcmp(Mi,gtk_entry_get_text(entryNote))==0) definirNote(m,0,13,5);
	  else
	    if (strcmp(Fa,gtk_entry_get_text(entryNote))==0) definirNote(m,0,13,6);
	    else
	      if (strcmp(FaD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,13,7);
	      else
		if (strcmp(Sol,gtk_entry_get_text(entryNote))==0) definirNote(m,0,13,8);
		else
		  if (strcmp(SolD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,13,9);
		  else
		    if (strcmp(La,gtk_entry_get_text(entryNote))==0) definirNote(m,0,13,10);
		    else
		      if (strcmp(LaD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,13,11);
		      else
			if (strcmp(Si,gtk_entry_get_text(entryNote))==0) definirNote(m,0,13,12);
			else
			  if (strcmp(SiD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,13,13);

  if (strcmp(N1,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,13,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,13,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,13,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,13,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,13,5);

  if (strcmp(N1,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,13,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,13,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,13,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,13,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,13,5);

  if (strcmp(N1,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,13,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,13,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,13,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,13,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,13,5);

  if (strcmp(N1,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,13,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,13,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,13,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,13,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,13,5);
}

void fenetreNote0_14 ( int argc, char *argv[] )
{
  GtkBuilder *monBuilderNote;
  GtkWidget *maFenetreNote;

  gtk_init( &argc, &argv );

  monBuilderNote = gtk_builder_new();

  gtk_builder_add_from_file( monBuilderNote, "GUI/ponytrackertest.glade", NULL);
  gtk_builder_connect_signals( monBuilderNote, NULL);

  maFenetreNote = GTK_WIDGET( gtk_builder_get_object( monBuilderNote, "ajoutnote"));

  GtkButton *button = (GtkButton*) gtk_builder_get_object(monBuilderNote, "buttonok");

  g_signal_connect(G_OBJECT(button),"clicked",G_CALLBACK(remplissageNote0_14),
		   GTK_WIDGET( gtk_builder_get_object( monBuilderNote, "ajoutnote")));

  gtk_widget_show_all (maFenetreNote);
}

void remplissageNote0_14 (GtkWidget *widget, gpointer *data){

  GtkBuilder *monBuilderNote;

  monBuilderNote = gtk_builder_new();

  gtk_builder_add_from_file( monBuilderNote, "GUI/ponytrackertest.glade", NULL);
  gtk_builder_connect_signals( monBuilderNote, NULL);

  GtkEntry *entryNote = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisirnote");
  GtkEntry *entryOctave = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisiroctave");
  GtkEntry *entryInstrument = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisirinstrument");
  GtkEntry *entryVolume = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"entryvolume");
  GtkEntry *entryEffet = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"entryeffet");

  if (strcmp(Do,gtk_entry_get_text(entryNote))==0) definirNote(m,0,14,1);
  else 
    if (strcmp(DoD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,14,2);
    else
      if (strcmp(Re,gtk_entry_get_text(entryNote))==0) definirNote(m,0,14,3);
      else
	if (strcmp(ReD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,14,4);
	else
	  if (strcmp(Mi,gtk_entry_get_text(entryNote))==0) definirNote(m,0,14,5);
	  else
	    if (strcmp(Fa,gtk_entry_get_text(entryNote))==0) definirNote(m,0,14,6);
	    else
	      if (strcmp(FaD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,14,7);
	      else
		if (strcmp(Sol,gtk_entry_get_text(entryNote))==0) definirNote(m,0,14,8);
		else
		  if (strcmp(SolD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,14,9);
		  else
		    if (strcmp(La,gtk_entry_get_text(entryNote))==0) definirNote(m,0,14,10);
		    else
		      if (strcmp(LaD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,14,11);
		      else
			if (strcmp(Si,gtk_entry_get_text(entryNote))==0) definirNote(m,0,14,12);
			else
			  if (strcmp(SiD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,14,13);

  if (strcmp(N1,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,14,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,14,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,14,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,14,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,14,5);

  if (strcmp(N1,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,14,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,14,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,14,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,14,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,14,5);

  if (strcmp(N1,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,14,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,14,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,14,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,14,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,14,5);

  if (strcmp(N1,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,14,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,14,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,14,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,14,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,14,5);
}

void fenetreNote0_15 ( int argc, char *argv[] )
{
  GtkBuilder *monBuilderNote;
  GtkWidget *maFenetreNote;

  gtk_init( &argc, &argv );

  monBuilderNote = gtk_builder_new();

  gtk_builder_add_from_file( monBuilderNote, "GUI/ponytrackertest.glade", NULL);
  gtk_builder_connect_signals( monBuilderNote, NULL);

  maFenetreNote = GTK_WIDGET( gtk_builder_get_object( monBuilderNote, "ajoutnote"));

  GtkButton *button = (GtkButton*) gtk_builder_get_object(monBuilderNote, "buttonok");

  g_signal_connect(G_OBJECT(button),"clicked",G_CALLBACK(remplissageNote0_15),
		   GTK_WIDGET( gtk_builder_get_object( monBuilderNote, "ajoutnote")));

  gtk_widget_show_all (maFenetreNote);
}

void remplissageNote0_15 (GtkWidget *widget, gpointer *data){

  GtkBuilder *monBuilderNote;

  monBuilderNote = gtk_builder_new();

  gtk_builder_add_from_file( monBuilderNote, "GUI/ponytrackertest.glade", NULL);
  gtk_builder_connect_signals( monBuilderNote, NULL);

  GtkEntry *entryNote = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisirnote");
  GtkEntry *entryOctave = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisiroctave");
  GtkEntry *entryInstrument = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"choisirinstrument");
  GtkEntry *entryVolume = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"entryvolume");
  GtkEntry *entryEffet = (GtkEntry*) gtk_builder_get_object(monBuilderNote,"entryeffet");

  if (strcmp(Do,gtk_entry_get_text(entryNote))==0) definirNote(m,0,15,1);
  else 
    if (strcmp(DoD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,15,2);
    else
      if (strcmp(Re,gtk_entry_get_text(entryNote))==0) definirNote(m,0,15,3);
      else
	if (strcmp(ReD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,15,4);
	else
	  if (strcmp(Mi,gtk_entry_get_text(entryNote))==0) definirNote(m,0,15,5);
	  else
	    if (strcmp(Fa,gtk_entry_get_text(entryNote))==0) definirNote(m,0,15,6);
	    else
	      if (strcmp(FaD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,15,7);
	      else
		if (strcmp(Sol,gtk_entry_get_text(entryNote))==0) definirNote(m,0,15,8);
		else
		  if (strcmp(SolD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,15,9);
		  else
		    if (strcmp(La,gtk_entry_get_text(entryNote))==0) definirNote(m,0,15,10);
		    else
		      if (strcmp(LaD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,15,11);
		      else
			if (strcmp(Si,gtk_entry_get_text(entryNote))==0) definirNote(m,0,15,12);
			else
			  if (strcmp(SiD,gtk_entry_get_text(entryNote))==0) definirNote(m,0,15,13);

  if (strcmp(N1,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,15,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,15,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,15,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,15,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryOctave))==0) definirOctave(m,0,15,5);

  if (strcmp(N1,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,15,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,15,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,15,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,15,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryInstrument))==0) definirInstrument(m,0,15,5);

  if (strcmp(N1,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,15,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,15,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,15,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,15,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryVolume))==0) definirVolume(m,0,15,5);

  if (strcmp(N1,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,15,1);
  else
    if (strcmp(N2,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,15,2);
    else
      if (strcmp(N3,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,15,3);
      else
	if (strcmp(N4,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,15,4);
	else
	  if (strcmp(N5,gtk_entry_get_text(entryEffet))==0) definirEffet(m,0,15,5);
}
